# Gimp.Drawable.prototype.extract_component

    function extract_component(component: Number(gint), invert: Boolean, linear: Boolean): Boolean {
        // Gjs wrapper for gimp_drawable_extract_component()
    }

Extract a color model component.

Extract a color model component.

Since 2.10.34

component

  Component (RGB Red (0), RGB Green (1), RGB Blue (2), Hue (3), HSV Saturation (4), HSV Value (5), HSL Saturation (6), HSL Lightness (7), CMYK Cyan (8), CMYK Magenta (9), CMYK Yellow (10), CMYK Key (11), Y'CbCr Y' (12), Y'CbCr Cb (13), Y'CbCr Cr (14), LAB L (15), LAB A (16), LAB B (17), LCH C(ab) (18), LCH H(ab) (19), Alpha (20)).

invert

  Invert the extracted component.

linear

  Use linear output instead of gamma corrected.

Returns

  TRUE on success.